LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 09-12-2012, 02:40 AM   #1
priyjumnani
LQ Newbie
 
Registered: Sep 2012
Posts: 3

Rep: Reputation: Disabled
makefile.in cause error in ns-2.34 in myudp.cc


thats what the error could you please help me to resolve


mympeg/myudp.cc: In constructor ‘myUdpAgent::myUdpAgent()’:
mympeg/myudp.cc:19:28: error: cannot call constructor ‘myUdpAgent::UdpAgent’ directly
mympeg/myudp.cc:19:28: error: for a function-style cast, remove the redundant ‘::UdpAgent’
mympeg/myudp.cc: In member function ‘virtual void myUdpAgent::sendmsg(int, AppData*, const char*)’:
mympeg/myudp.cc:56:209: error: ‘getFrameType’ was not declared in this scope
mympeg/myudp.cc:79:209: error: ‘getFrameType’ was not declared in this scope
Makefile:93: recipe for target `mympeg/myudp.o' failed
make: *** [mympeg/myudp.o] Error 1
 
Old 09-12-2012, 05:13 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,551

Rep: Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512Reputation: 2512
Welcome to LQ.

The mympeg that I know, is for ns-2.28
http://140.116.164.80/~smallko/ns2/m...o-ns2.28.patch
Ref. http://hpds.ee.ncku.edu.tw/~smallko/...vid_in_NS2.htm

You can have as may versions of ns-allinone-2.xx as you want,
installed at the same time. But do not any of them to a *PATH.
The binary ns is hard coded to know the location of it's libraries.

Ubuntu example ns-2.28 :
cd ns-allinone-2.28/ && patch -p1 < ns-2.28-gcc410.patch &&
export CC=gcc41 CXX=g++41 && ./install
Ref. http://www.linuxquestions.org/questi...10-a-867404/#7
gcc41 g++41 http://www.linuxquestions.org/questi...4-a-944856/#14

Which version of Ubuntu are you using ?

.

Last edited by knudfl; 09-12-2012 at 05:15 AM.
 
Old 09-20-2012, 06:12 AM   #3
jschiwal
Guru
 
Registered: Aug 2001
Location: Fargo, ND
Distribution: SuSE AMD64
Posts: 15,733

Rep: Reputation: 654Reputation: 654Reputation: 654Reputation: 654Reputation: 654Reputation: 654
Moved: This thread is more suitable in Linux-Software and has been moved accordingly to help your thread/question get the exposure it deserves.

Last edited by jschiwal; 09-22-2012 at 08:04 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Make-3.82 error:Makefile:282:error: mixed implicit and normal rules Ramanc51 Linux - Newbie 5 06-08-2011 07:55 AM
makefile error pantera Programming 3 05-21-2005 08:05 AM
makefile error durden2.0 Programming 2 01-25-2004 04:45 PM
makefile error puckney Linux - Newbie 3 04-25-2002 09:03 PM


All times are GMT -5. The time now is 03:46 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration